# Class cell

- Defined in File symmetry.hpp

## Class Documentation

class cell

  The cell class describes the dimensions and angles of a unit cell in a crystal.

  Public Functions

  cell(float a, float b, float c, float alpha = 90.f, float beta = 90.f, float gamma = 90.f)

    constructor

  cell(const datablock &db)

    constructor that takes the appropriate values from the cell category in datablock db

  inline float get_a() const

    return dimension a

  inline float get_b() const

    return dimension b

  inline float get_c() const

    return dimension c

  inline float get_alpha() const

    return angle alpha

  inline float get_beta() const

    return angle beta

  inline float get_gamma() const

    return angle gamma

  float get_volume() const

    return the calculated volume for this cell

  inline matrix3x3<float> get_orthogonal_matrix() const

    return the matrix to use to transform coordinates from fractional to orthogonal

  inline matrix3x3<float> get_fractional_matrix() const

    return the matrix to use to transform coordinates from orthogonal to fractional